<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>JvmTestOperationDescriptor (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="JvmTestOperationDescriptor (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/events/test/JvmTestKind.html" title="enum in org.gradle.tooling.events.test"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/tooling/events/test/TestFailureResult.html" title="interface in org.gradle.tooling.events.test"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/events/test/JvmTestOperationDescriptor.html" target="_top">Frames</a></li>
<li><a href="JvmTestOperationDescriptor.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.tooling.events.test</div>
<h2 title="Interface JvmTestOperationDescriptor" class="title">Interface JvmTestOperationDescriptor</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../org/gradle/tooling/events/OperationDescriptor.html" title="interface in org.gradle.tooling.events">OperationDescriptor</a>, <a href="../../../../../org/gradle/tooling/events/test/TestOperationDescriptor.html" title="interface in org.gradle.tooling.events.test">TestOperationDescriptor</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">JvmTestOperationDescriptor</span>
extends <a href="../../../../../org/gradle/tooling/events/test/TestOperationDescriptor.html" title="interface in org.gradle.tooling.events.test">TestOperationDescriptor</a></pre>
<div class="block">Describes a test that runs on the JVM and for which an event has occurred. At least
 a suite name, class name, or method name is available for each JVM test.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>2.4</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/events/test/JvmTestOperationDescriptor.html#getClassName()">getClassName</a></strong>()</code>
<div class="block">Returns the name of the test class, if any.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/events/test/JvmTestKind.html" title="enum in org.gradle.tooling.events.test">JvmTestKind</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/events/test/JvmTestOperationDescriptor.html#getJvmTestKind()">getJvmTestKind</a></strong>()</code>
<div class="block">Returns what kind of test this is.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/events/test/JvmTestOperationDescriptor.html#getMethodName()">getMethodName</a></strong>()</code>
<div class="block">Returns the name of the test method, if any.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/events/test/JvmTestOperationDescriptor.html#getSuiteName()">getSuiteName</a></strong>()</code>
<div class="block">Returns the name of the test suite, if any.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.tooling.events.OperationDescriptor">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.tooling.events.<a href="../../../../../org/gradle/tooling/events/OperationDescriptor.html" title="interface in org.gradle.tooling.events">OperationDescriptor</a></h3>
<code><a href="../../../../../org/gradle/tooling/events/OperationDescriptor.html#getDisplayName()">getDisplayName</a>, <a href="../../../../../org/gradle/tooling/events/OperationDescriptor.html#getName()">getName</a>, <a href="../../../../../org/gradle/tooling/events/OperationDescriptor.html#getParent()">getParent</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getJvmTestKind()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJvmTestKind</h4>
<pre><a href="../../../../../org/gradle/tooling/events/test/JvmTestKind.html" title="enum in org.gradle.tooling.events.test">JvmTestKind</a>&nbsp;getJvmTestKind()</pre>
<div class="block">Returns what kind of test this is.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The test kind.</dd></dl>
</li>
</ul>
<a name="getSuiteName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSuiteName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSuiteName()</pre>
<div class="block">Returns the name of the test suite, if any.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The name of the test suite.</dd></dl>
</li>
</ul>
<a name="getClassName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClassName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getClassName()</pre>
<div class="block">Returns the name of the test class, if any.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The name of the test class.</dd></dl>
</li>
</ul>
<a name="getMethodName()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMethodName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMethodName()</pre>
<div class="block">Returns the name of the test method, if any.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The name of the test method.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/events/test/JvmTestKind.html" title="enum in org.gradle.tooling.events.test"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/tooling/events/test/TestFailureResult.html" title="interface in org.gradle.tooling.events.test"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/events/test/JvmTestOperationDescriptor.html" target="_top">Frames</a></li>
<li><a href="JvmTestOperationDescriptor.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
